Skip to main content
PUT
/
dispositions
/
{id}
Updates a disposition.
curl --request PUT \
  --url https://api.leadping.ai/dispositions/{id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "leadId": "<string>",
  "type": "<string>",
  "outcome": "<string>",
  "notes": "<string>",
  "timestamp": "2023-11-07T05:31:56Z",
  "followUpStatus": "<string>",
  "callbackAt": "2023-11-07T05:31:56Z",
  "taskDueAt": "2023-11-07T05:31:56Z",
  "appointmentStartAt": "2023-11-07T05:31:56Z",
  "appointmentEndAt": "2023-11-07T05:31:56Z",
  "appointmentNotes": "<string>",
  "assignedToUserId": "<string>",
  "relatedCallEventId": "<string>",
  "isMissedCallFollowUp": true,
  "sourceId": "<string>"
}
'
{
  "id": "<string>",
  "leadId": "<string>",
  "type": "<string>",
  "outcome": "<string>",
  "notes": "<string>",
  "timestamp": "2023-11-07T05:31:56Z",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "followUpStatus": "<string>",
  "callbackAt": "2023-11-07T05:31:56Z",
  "taskDueAt": "2023-11-07T05:31:56Z",
  "appointmentStartAt": "2023-11-07T05:31:56Z",
  "appointmentEndAt": "2023-11-07T05:31:56Z",
  "appointmentNotes": "<string>",
  "assignedToUserId": "<string>",
  "relatedCallEventId": "<string>",
  "isMissedCallFollowUp": true,
  "sourceId": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://leadping.ai/docs/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

id
string
required

The ID of the disposition.

Body

A token to cancel the operation.

Request model for creating or updating a disposition.

leadId
string

The lead ID associated with this disposition.

type
string

The type classification for this disposition.

outcome
string

The outcome value for this disposition.

notes
string | null

The operator or customer notes recorded for this disposition.

timestamp
string<date-time>

The date and time for the timestamp value on this disposition.

followUpStatus
string | null

The current follow up status for this disposition.

callbackAt
string<date-time> | null

The date and time for the callback at value on this disposition.

taskDueAt
string<date-time> | null

The date and time for the task due at value on this disposition.

appointmentStartAt
string<date-time> | null

The date and time for the appointment start at value on this disposition.

appointmentEndAt
string<date-time> | null

The date and time for the appointment end at value on this disposition.

appointmentNotes
string | null

The appointment notes value for this disposition.

assignedToUserId
string | null

The assigned to user ID associated with this disposition.

The related call event ID associated with this disposition.

isMissedCallFollowUp
boolean

Whether this disposition is missed call follow up.

sourceId
string | null

The source ID associated with this disposition.

Response

Returns the disposition response.

Response model for disposition data.

id
string

The unique ID for this disposition.

leadId
string

The lead ID associated with this disposition.

type
string

The type classification for this disposition.

outcome
string

The outcome value for this disposition.

notes
string

The operator or customer notes recorded for this disposition.

timestamp
string<date-time>

The date and time for the timestamp value on this disposition.

createdAt
string<date-time>

The date and time for the created at value on this disposition.

updatedAt
string<date-time>

The date and time for the updated at value on this disposition.

followUpStatus
string | null

The current follow up status for this disposition.

callbackAt
string<date-time> | null

The date and time for the callback at value on this disposition.

taskDueAt
string<date-time> | null

The date and time for the task due at value on this disposition.

appointmentStartAt
string<date-time> | null

The date and time for the appointment start at value on this disposition.

appointmentEndAt
string<date-time> | null

The date and time for the appointment end at value on this disposition.

appointmentNotes
string | null

The appointment notes value for this disposition.

assignedToUserId
string | null

The assigned to user ID associated with this disposition.

The related call event ID associated with this disposition.

isMissedCallFollowUp
boolean

Whether this disposition is missed call follow up.

sourceId
string | null

The source ID associated with this disposition.